FSSCONFIG(8) | System Manager's Manual | FSSCONFIG(8)

# NAME

`fssconfig` —
configure file system snapshot devices

# SYNOPSIS

`fssconfig` | [`-cxv`] device path backup [cluster [size]]

`fssconfig` | `-u` [`-v`] device

`fssconfig` | `-l` [`-v`] [device]

# DESCRIPTION

The `fssconfig` command configures file system snapshot pseudo disk devices. It will associate the file system snapshot disk device with a snapshot of the file system mounted on path, allowing device to be accessed as though it were a disk.

If backup resides on the snapshotted file system a persistent snapshot will be created. This snapshot is active until backup is unlinked. Persistent snapshots save the file system as if it had been unmounted. Unlinked but open files get removed from the snapshot. The time needed to create a persistent snapshot increases with the size of the file system and decreases with the file system block size. This snapshot mode is only supported for FFS file systems.

Otherwise data written through the path will be saved in backup. If backup is a regular file, it will be created with length size. Default size is the size of path. Data is saved to backup in units of cluster bytes. The snapshot is an image of the underlying block device at a moment in time. Unlinked but open files are still present on the snapshot. The time needed to create a snapshot is independent of the size of the file system or the file system block size.

Options indicate an action to be performed:

`-c`
  Configures the device. If successful, references to device will access the contents of path at the time the snapshot was taken. If backup is a directory, a temporary file will be created in this directory. This file will be unlinked on exit.
`-l`
  List the snapshot devices and indicate which ones are in use. If a specific device is given, then only that will be described.
`-u`
  Unconfigures the device.
`-v`
  Be more verbose listing the snapshot devices.
`-x`
  Unlink backup after the device is configured.

If no action option is given, `-c` is assumed.

# FILES

/dev/rfss?
/dev/fss?

# EXAMPLES

`fssconfig fss0 /usr /tmp/back`
`mount /dev/fss0 /mnt`

Configures the snapshot device fss0 as a snapshot of the /usr file system, and makes the contents of the snapshot available via /mnt. Data written through /usr will be backed up in /tmp/back.

`fssconfig fss1 / /dev/rsd0e 8192`

Configures the snapshot device fss1 as a snapshot of the / file system. Data written through / will be backed up in /dev/rsd0e. The backup will take place in units of 8192 bytes.

`fssconfig -u fss0`

Unconfigures the fss0 device.

# SEE ALSO

opendisk(3), fss(4), dump(8), mount(8), umount(8)

# HISTORY

The `fssconfig` command appeared in NetBSD 2.0.

July 29, 2016 | NetBSD 9.0